xcalib(1)

NAME
xcalib v0.12.0 - Monitor Kalibrationseinrichter

ÜBERSICHT
xcalib ICC_DATEI_NAME
xcalib -c -d TEXT -s NUMMER [-o NUMMER] [-v]
xcalib -i -d TEXT -s NUMMER [-o NUMMER] [-v] [-n] [-p[=FORMAT]] [-l] ICC_DATEI_NAME | -a
xcalib -g NUMMER -b NUMMER -k NUMMER -d TEXT -s NUMMER [-o NUMMER] [-v] [-n] [-p[=FORMAT]] [-l] [-c] ICC_DATEI_NAME | -a
xcalib -R NUMMER -G NUMMER -B NUMMER -d TEXT -s NUMMER [-S NUMMER] [-T NUMMER] [-H NUMMER] [-I NUMMER] [-C NUMMER] [-D NUMMER] [-o NUMMER] [-v] [-n] [-p[=FORMAT]] [-l] [-c] ICC_DATEI_NAME | -a
xcalib -p[=FORMAT] -d TEXT -s NUMMER [-o NUMMER] [-v]
xcalib -h[=synopsis|...] -V --render TEXT [-v]

BESCHREIBUNG
Das Werkzeug lädt den vcgt-Tag eines ICC Farbprofils in den Bildserver mit der XRandR/XVidMode/GDI Erweiterung um die Grafikkarte passend zum Monitor farblich zu kalibrieren.

OPTIONEN

  Grundlegende Einstellungen
-d|--display TEXT    host:dpy
-s|--screen NUMMER    Ausgabenummer
-o|--output NUMMER    Anschluss Nummer
    Erscheint in der Reihenfolge wie im xrandr Werkzeug.
-a|--alter    Andere Tabelle
    Arbeitet alternativ zu einem ICC Profil nur mit den Parametern.
-n|--noaction    Belasse die Gamma Tabelle
    Arbeitet am besten zusammen mit der -v Option.
-p|--printramps[=FORMAT]    Zeige Werte auf der Standardausgabe stdout
    -p TEXT    # TEXT
    -p SVG    # SVG
-l|--loss    Zeige Verluste durch die Anwendung der Kurven auf stdout.
-c|--clear    Setze Gamma Tabelle zurück
    Setze die Video Card Gamma Tablle (VCGT) auf lineare Werte.

  Zuweisen
xcalib ICC_DATEI_NAME
ICC_DATEI_NAME    Dateiname eines ICC Farbprofiles

  Zurücksetzen
xcalib -c -d TEXT -s NUMMER [-o NUMMER] [-v]
-c|--clear    Setze Gamma Tabelle zurück
    Setze die Video Card Gamma Tablle (VCGT) auf lineare Werte.

  Umkehren
xcalib -i -d TEXT -s NUMMER [-o NUMMER] [-v] [-n] [-p[=FORMAT]] [-l] ICC_DATEI_NAME | -a
-i|--invert    Kehre die Gamma Tabelle um

  Allgemeine Farbanpassung
xcalib -g NUMMER -b NUMMER -k NUMMER -d TEXT -s NUMMER [-o NUMMER] [-v] [-n] [-p[=FORMAT]] [-l] [-c] ICC_DATEI_NAME | -a
-g|--gamma NUMMER    Setze Gamma Kurve (NUMMER:1 [≥0,1 ≤5 Δ0,1])
    Global gamma correction value (use 2.2 for WinXP Color Control-like behaviour)
-b|--brightness NUMMER    Setze Helligkeit in Prozent (NUMMER:0 [≥0 ≤99 Δ1])
-k|--contrast NUMMER    Setze Kontrast in Prozent (NUMMER:100 [≥1 ≤100 Δ1])
    Setze den maxmalen Werten im Verhältnis zur Helligkeit.

  Farbanpassung pro Farbkanal
xcalib -R NUMMER -G NUMMER -B NUMMER -d TEXT -s NUMMER [-S NUMMER] [-T NUMMER] [-H NUMMER] [-I NUMMER] [-C NUMMER] [-D NUMMER] [-o NUMMER] [-v] [-n] [-p[=FORMAT]] [-l] [-c] ICC_DATEI_NAME | -a
-R|--red-gamma NUMMER    Setze Rote Gamma Kurve (NUMMER:1 [≥0,1 ≤5 Δ0,1])
-S|--red-brightness NUMMER    Setze Rote Helligkeit in Prozent (NUMMER:0 [≥0 ≤99 Δ1])
-T|--red-contrast NUMMER    Setze Roten Kontrast in Prozent (NUMMER:100 [≥1 ≤100 Δ1])
    Setze den maxmalen Werten im Verhältnis zur Helligkeit.
-G|--green-gamma NUMMER    Setze Grüne Gamma Kurve (NUMMER:1 [≥0,1 ≤5 Δ0,1])
-H|--green-brightness NUMMER    Setze Grüne Helligkeit in Prozent (NUMMER:0 [≥0 ≤99 Δ1])
-I|--green-contrast NUMMER    Setze Grünen Kontrast in Prozent (NUMMER:100 [≥1 ≤100 Δ1])
    Setze den maxmalen Werten im Verhältnis zur Helligkeit.
-B|--blue-gamma NUMMER    Setze Blaue Gamma Kurve (NUMMER:1 [≥0,1 ≤5 Δ0,1])
-C|--blue-brightness NUMMER    Setze Blaue Helligkeit in Prozent (NUMMER:0 [≥0 ≤99 Δ1])
-D|--blue-contrast NUMMER    Setze Blauen Kontrast in Prozent (NUMMER:100 [≥1 ≤100 Δ1])
    Setze den maxmalen Werten im Verhältnis zur Helligkeit.

  Zeige
xcalib -p[=FORMAT] -d TEXT -s NUMMER [-o NUMMER] [-v]
-p|--printramps[=FORMAT]    Zeige Werte auf der Standardausgabe stdout
    -p TEXT    # TEXT
    -p SVG    # SVG

ALLGEMEINE OPTIONEN

  Allgemeine Optionen
xcalib -h[=synopsis|...] -V --render TEXT [-v]
-h|--help[=synopsis|...]    Zeige Hilfetext an
    Zeige Benutzungsinformationen und Hinweise für das Werkzeug.
    -h -    # Vollständige Hilfe : Zeige Hilfe für alle Gruppen
    -h synopsis    # Übersicht : Liste Gruppen - Zeige alle Gruppen mit Syntax
--render TEXT    Darstellung
-V|--version    Version
-v|--verbose    Plaudernd

UMGEBUNGSVARIABLEN

DISPLAY
    Diese Variable enthält den Ausgabenamen unter X11 Systemen wie für die -d und -s Optionen benutzt.

BEISPIELE

Weise die VCGT Kurven aus einem ICC Profil einem Bildschirm zu
    xcalib ‐d :0 ‐s 0 ‐v profil_mit_vcgt_tag.icc

Setze die Geräte-LUT einer Anzeige für eine Kalibration zurück.
    xcalib ‐d :0 ‐s 0 ‐c

SIEHE AUCH

oyjl-args(1)

AUTOR
Stefan Dohla <stefan AT doehla DOT de>
http://www.etg.e‐technik.uni‐erlangen.de/web/doe/xcalib/

KOPIERRECHT
Copyright © 2013-2026 Kai-Uwe Behrmann
Lizenz: GPL-2.0 https://opensource.org/license/gpl-2.0